summaryrefslogtreecommitdiffstats
path: root/games/fortune_firefly/fortune_firefly.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/fortune_firefly/fortune_firefly.SlackBuild')
-rw-r--r--games/fortune_firefly/fortune_firefly.SlackBuild55
1 files changed, 55 insertions, 0 deletions
diff --git a/games/fortune_firefly/fortune_firefly.SlackBuild b/games/fortune_firefly/fortune_firefly.SlackBuild
new file mode 100644
index 0000000000..1eb37130a2
--- /dev/null
+++ b/games/fortune_firefly/fortune_firefly.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for fortune_firefly
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+
+# I prefer the underscore in the Slackware package name, so
+# bit of tomfoolery here with SRCNAM.
+# Also, the $#@^#^ upstream tarball doesn't create a top-level directory...
+
+PRGNAM=fortune_firefly
+SRCNAM=fortune-firefly
+VERSION=${VERSION:-2.1.1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG $TMP/$SRCNAM
+mkdir -p $TMP/$SRCNAM $PKG $OUTPUT
+cd $TMP/$SRCNAM
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/games/fortunes
+cp firefly $PKG/usr/share/games/fortunes
+
+# The firefly.dat file in the archive doesn't work with the Slackware
+# version of fortune (not sure if it's bad, or for a different fork
+# of the fortune code, or what). So generate a valid firefly.dat.
+# strfile is part of bsd-games.
+
+( cd $PKG/usr/share/games/fortunes && strfile firefly )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz